# Uses of Class
org.apache.commons.math3.linear.OpenMapRealMatrix

Packages that use OpenMapRealMatrix
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of OpenMapRealMatrix in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return OpenMapRealMatrix
Modifier and Type
Method
Description
`OpenMapRealMatrix`
OpenMapRealMatrix.`add(OpenMapRealMatrix m)`
Compute the sum of this matrix and `m`.
`OpenMapRealMatrix`
OpenMapRealMatrix.`copy()`
Returns a (deep) copy of this.
`OpenMapRealMatrix`
OpenMapRealMatrix.`createMatrix(int rowDimension, int columnDimension)`
Create a new RealMatrix of the same type as the instance with the supplied row and column dimensions.
`OpenMapRealMatrix`
OpenMapRealMatrix.`multiply(OpenMapRealMatrix m)`
Postmultiply this matrix by `m`.
`OpenMapRealMatrix`
OpenMapRealMatrix.`subtract(OpenMapRealMatrix m)`
Subtract `m` from this matrix.
`OpenMapRealMatrix`
OpenMapRealMatrix.`subtract(RealMatrix m)`
Returns `this` minus `m`.
Methods in org.apache.commons.math3.linear with parameters of type OpenMapRealMatrix
Modifier and Type
Method
Description
`OpenMapRealMatrix`
OpenMapRealMatrix.`add(OpenMapRealMatrix m)`
Compute the sum of this matrix and `m`.
`OpenMapRealMatrix`
OpenMapRealMatrix.`multiply(OpenMapRealMatrix m)`
Postmultiply this matrix by `m`.
`OpenMapRealMatrix`
OpenMapRealMatrix.`subtract(OpenMapRealMatrix m)`
Subtract `m` from this matrix.
Constructors in org.apache.commons.math3.linear with parameters of type OpenMapRealMatrix
Modifier
Constructor
Description
``
`OpenMapRealMatrix(OpenMapRealMatrix matrix)`
Build a matrix by copying another one.